package com.goafanti.user.service.impl;


import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.common.dao.LegalPersonOwnershipMapper;
import com.goafanti.common.model.LegalPersonOwnership;
import com.goafanti.user.service.LegalPersonOwnershipService;
@Service
public class LegalPersonOwnershipServiceImpl implements LegalPersonOwnershipService{
	@Autowired
	private LegalPersonOwnershipMapper legalPersonOwnershipMapper;

	@Override
	public List<LegalPersonOwnership> selectByUid(String uid) {
		return legalPersonOwnershipMapper.selectByUid(uid);
	}

	@Override
	public int batchDeleteByPrimaryKey(List<String> id) {
		return legalPersonOwnershipMapper.batchDeleteByPrimaryKey(id);
	}

	@Override
	public int batchInsert(List<LegalPersonOwnership> lpo) {
		return legalPersonOwnershipMapper.batchInsert(lpo);
	}
}
